/* Faan Tone Liu
 * Demonstration program for comp1671
 * Shows how to open and close input and output files,
 * and how to read from and write to files.
 * This program reads integers from an input file called datafile.dat,
 * then write the total into an output file called sum.dat
 */ 

#include <iostream>
#include <fstream>
using namespace std;

int main()
{
    int num;      // stores number most recently read from input file
    int total=0;  // running total of numbers that have been read
    ifstream infile;  // input file - contains numerical data
    ofstream outfile; // this is where we'll store the sum

    // open the file datafile.dat
    infile.open("datafile.dat");
    // If we couldn't open input file, then exit program
    if (!infile) {
        cout << "Unable to open input file datafile.dat" << endl;
        return 1;
    }

    // If we can't open the output file, then clean up and exit program
    outfile.open("sum.dat");
    if (!outfile) {
        cout << "Unable to open output file sum.dat" << endl;
        infile.close();
        return 1;
    }

    // read all the numbers from the file, and keep a running total
    infile >> num;
    while (infile) {
        total += num;
        infile >> num;
    }

    // write the total to the output file
    outfile << total << endl;

    // close all files
    infile.close();
    outfile.close();

    return 0;
}
